GenerateMavenPom (Gradle API 8.11.1)

Package org.gradle.api.publish.maven.tasks

## Class GenerateMavenPom

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.GenerateMavenPom

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @UntrackedTask(because="Gradle doesn\'t understand the data structures used to configure this task")
      public abstract class GenerateMavenPom
      extends DefaultTask

  Generates a Maven module descriptor (POM) file.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateMavenPom()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doGenerate()` |
    `java.io.File` | `getDestination()` | The file the POM will be written to.
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()` |
    `MavenPom` | `getPom()` | The Maven POM.
    `protected org.gradle.api.publish.maven.internal.dependencies.VersionRangeMapper` | `getVersionRangeMapper()` | Deprecated. This method will be removed in Gradle 9.0
    `void` | `setDestination​(java.io.File destination)` | Sets the destination the descriptor will be written to.
    `void` | `setDestination​(java.lang.Object destination)` | Sets the destination the descriptor will be written to.
    `void` | `setPom​(MavenPom pom)` |
    `GenerateMavenPom` | `withCompileScopeAttributes​(org.gradle.api.internal.attributes.ImmutableAttributes compileScopeAttributes)` | Deprecated. This method will be removed in Gradle 9.0.
    `GenerateMavenPom` | `withRuntimeScopeAttributes​(org.gradle.api.internal.attributes.ImmutableAttributes runtimeScopeAttributes)` | Deprecated. This method will be removed in Gradle 9.0.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### GenerateMavenPom

          public GenerateMavenPom()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### getVersionRangeMapper

          @Inject
          @Deprecated
          protected org.gradle.api.publish.maven.internal.dependencies.VersionRangeMapper getVersionRangeMapper()

      Deprecated.
      This method will be removed in Gradle 9.0
      Get the version range mapper.

    - #### withCompileScopeAttributes

          @Deprecated
          public GenerateMavenPom withCompileScopeAttributes​(org.gradle.api.internal.attributes.ImmutableAttributes compileScopeAttributes)

      Deprecated.
      This method will be removed in Gradle 9.0.
      The values set by this method are ignored.

    - #### withRuntimeScopeAttributes

          @Deprecated
          public GenerateMavenPom withRuntimeScopeAttributes​(org.gradle.api.internal.attributes.ImmutableAttributes runtimeScopeAttributes)

      Deprecated.
      This method will be removed in Gradle 9.0.
      The values set by this method are ignored.

    - #### getPom

          @Internal
          public MavenPom getPom()

      The Maven POM.
      Returns:
        The Maven POM.

    - #### setPom

          public void setPom​(MavenPom pom)

    - #### getDestination

          @OutputFile
          public java.io.File getDestination()

      The file the POM will be written to.
      Returns:
        The file the POM will be written to

    - #### setDestination

          public void setDestination​(java.io.File destination)

      Sets the destination the descriptor will be written to.
      Parameters:
        `destination` - The file the descriptor will be written to.
      Since:
        4.0

    - #### setDestination

          public void setDestination​(java.lang.Object destination)

      Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
      Parameters:
        `destination` - The file the descriptor will be written to.

    - #### doGenerate

          public void doGenerate()